package com.its.vms.xnettcp.vms.process.service;

import com.its.app.AppUtils;
import com.its.vms.process.DbmsDataProcess;
import com.its.vms.service.RseSectService;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

@Getter
@Slf4j
public class OBUGatherInfoService {

    private RseSectService rseSectService;
    private DbmsDataProcess dbmsDataProcess;

    private static OBUGatherInfoService _instance = null;

    public static OBUGatherInfoService getInstance() {
        if (_instance == null) {
            synchronized (OBUGatherInfoService.class) {
                if (_instance == null)
                    _instance = new OBUGatherInfoService();
            }
        }
        return _instance;
    }

    public OBUGatherInfoService() {
        this.dbmsDataProcess = (DbmsDataProcess) AppUtils.getBean(DbmsDataProcess.class);
        this.rseSectService = (RseSectService) AppUtils.getBean(RseSectService.class);
    }

}
